groovy.grape

## Interface GrapeEngine

-     public interface GrapeEngine

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResolver(java.util.Map<java.lang.String,java.lang.Object> args)`
    `java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>` | `enumerateGrapes()`
    `java.lang.Object` | `grab(java.util.Map args)`
    `java.lang.Object` | `grab(java.util.Map args, java.util.Map... dependencies)`
    `java.lang.Object` | `grab(java.lang.String endorsedModule)`
    `java.util.Map[]` | `listDependencies(java.lang.ClassLoader classLoader)`
    `java.net.URI[]` | `resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)`
    `java.net.URI[]` | `resolve(java.util.Map args, java.util.Map... dependencies)`

- - ### Method Detail

    - #### grab

          java.lang.Object grab(java.lang.String endorsedModule)

    - #### grab

          java.lang.Object grab(java.util.Map args)

    - #### grab

          java.lang.Object grab(java.util.Map args,
                                java.util.Map... dependencies)

    - #### enumerateGrapes

          java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.util.List<java.lang.String>>> enumerateGrapes()

    - #### resolve

          java.net.URI[] resolve(java.util.Map args,
                                 java.util.Map... dependencies)

    - #### resolve

          java.net.URI[] resolve(java.util.Map args,
                                 java.util.List depsInfo,
                                 java.util.Map... dependencies)

    - #### listDependencies

          java.util.Map[] listDependencies(java.lang.ClassLoader classLoader)

    - #### addResolver

          void addResolver(java.util.Map<java.lang.String,java.lang.Object> args)